| Home | Libraries | People | FAQ | More

##### value_stack::push_string

Place a string value onto the stack.

###### Synopsis

    void
    push_string(
        string_view s);

###### Description

This function notionally removes all the characters currently on the stack, then pushes a `value` containing a `string` onto the stack formed by appending `s` to the removed characters.

###### Exception Safety

Basic guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`s` | The characters to append. This may be empty.